Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 477632 - dev-qt/designer: better handling of phonon plugin
Summary: dev-qt/designer: better handling of phonon plugin
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Low normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-21 11:51 UTC by Chris Reffett (RETIRED)
Modified: 2015-03-18 14:18 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
designer-phonon.patch (designer-phonon.patch,1.37 KB, patch)
2015-03-05 11:10 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Reffett (RETIRED) gentoo-dev Security 2013-07-21 11:51:47 UTC
The phonon flag, which is enabled for many users to get media-sound/phonon support, pulls in dev-qt/qtphonon when enabled on designer. This causes blockers for many people. Since (as I understand it) qtphonon is mostly unmaintained, doesn't work with most packages, and is going away in Qt 5, I suggest masking the USE flag to prevent people who are trying to use phonon from hitting a number of blockers.
Comment 1 Rafał Mużyło 2013-07-21 12:14:54 UTC
Actually, it would be interesting to test if phonon designer plugin can work with media-sound/phonon.
Comment 2 Johannes Huber gentoo-dev 2013-07-21 13:21:43 UTC
KDE deps are already fixed. Feel free to close the bug. KDE is out of the game.

+ 20 Jul 2013; Johannes Huber <johu@gentoo.org> kwin-4.10.4.ebuild,
+  kwin-4.10.5.ebuild:
+  Don't pull in dev-qt/qtphonon.
Comment 3 Andreas K. Hüttel archtester gentoo-dev 2013-07-21 14:10:09 UTC
Useflag masked (acked by kensington for qt)
Comment 4 Davide Pesavento gentoo-dev 2013-07-21 14:46:20 UTC
Doesn't kde-phonon install a designer plugin too? If so, I'd prefer having the usual dep: "kde? ( || ( kdephonon qtphonon ) ) !kde? ( qtphonon )"
Comment 5 Davide Pesavento gentoo-dev 2013-07-21 15:07:49 UTC
(In reply to Davide Pesavento from comment #4)

Well that won't work obviously... but you got what I mean.

BTW has the qtgui dep in kde-phonon been fixed for qt 4.8.5?
Comment 6 Michael Palimaka (kensington) gentoo-dev 2013-07-21 16:18:14 UTC
(In reply to Davide Pesavento from comment #4)
> Doesn't kde-phonon install a designer plugin too? If so, I'd prefer having
I agree, this mask only really needs to be temporary to reduce the fallout until it's fixed properly (4.8.5 probably shouldn't have been unmasked yet anyway).

> BTW has the qtgui dep in kde-phonon been fixed for qt 4.8.5?
I think only the USE flag changes have been fixed in revdeps. media-libs/phonon still says '>=dev-qt/qtgui-4.6.0:4'.
Comment 7 Davide Pesavento gentoo-dev 2013-07-21 20:22:08 UTC
(In reply to Michael Palimaka (kensington) from comment #6)
> (In reply to Davide Pesavento from comment #4)
> > Doesn't kde-phonon install a designer plugin too? If so, I'd prefer having
> I agree, this mask only really needs to be temporary to reduce the fallout
> until it's fixed properly (4.8.5 probably shouldn't have been unmasked yet
> anyway).
> 

WHAT??? who did that?
Comment 8 Michael Palimaka (kensington) gentoo-dev 2013-07-22 10:40:40 UTC
(In reply to Davide Pesavento from comment #7)
> WHAT??? who did that?

Revision 1.14935
Fri Jul 19 06:20:58 2013 UTC (34 hours, 46 minutes ago) by patrick
Branch: MAIN
Changes since 1.14934: +1 -27 lines
Diff to previous 1.14934

Drop qt 4.8.5 mask
Comment 9 Rafał Mużyło 2013-07-22 13:01:46 UTC
(In reply to Michael Palimaka (kensington) from comment #8)
> (In reply to Davide Pesavento from comment #7)
> > WHAT??? who did that?
> 
> Revision 1.14935
> Fri Jul 19 06:20:58 2013 UTC (34 hours, 46 minutes ago) by patrick
> Branch: MAIN
> Changes since 1.14934: +1 -27 lines
> Diff to previous 1.14934
> 
> Drop qt 4.8.5 mask

Sorry, but...

ROFL

I suspected that there was something fishy when I've seen in ChangeLog *who* dropped the mask, but it doesn't make it less funny.

Still, these few bugs aside, the transition was quite smooth.
Comment 10 Michael Palimaka (kensington) gentoo-dev 2015-03-05 11:10:13 UTC
Created attachment 398144 [details, diff]
designer-phonon.patch

Suggested patch.

Then we can drop the USE mask and the designer[-phonon] dep from KDE.
Comment 11 Michael Palimaka (kensington) gentoo-dev 2015-03-16 16:44:41 UTC
In overlay.

https://gitweb.gentoo.org/proj/qt.git/commit/?id=eecf4480276ce647cd4feb0a8f7c3a7c92497d0a
Comment 12 Davide Pesavento gentoo-dev 2015-03-16 17:56:44 UTC
Either I completely misunderstood the patch, or you got the logic wrong in src_prepare.
Comment 13 Michael Palimaka (kensington) gentoo-dev 2015-03-17 14:45:55 UTC
Improved logic in overlay.

https://gitweb.gentoo.org/proj/qt.git/commit/?id=50c2670cdfdab81ebe675d4be9a76fc556257b64
Comment 14 Davide Pesavento gentoo-dev 2015-03-17 17:08:47 UTC
Looks good now, thanks.
Comment 15 Michael Palimaka (kensington) gentoo-dev 2015-03-18 14:18:40 UTC
Thanks, fixed in CVS.

+  18 Mar 2015; Michael Palimaka <kensington@gentoo.org> designer-4.8.5.ebuild,
+  designer-4.8.6-r1.ebuild:
+  Introduce kde use flag to use phonon plugin from media-libs/phonon wrt bug
+  #477632.